Karen Etheridge > Dist-Zilla-Plugin-PromptIfStale > Dist::Zilla::App::Command::stale

Download:
Dist-Zilla-Plugin-PromptIfStale-0.026.tar.gz

Dependencies

Annotate this POD

Website

View/Report Bugs
Module Version: 0.026   Source  

NAME ^

Dist::Zilla::App::Command::stale - print your distribution's prerequisites and plugins that are out of date

VERSION ^

version 0.026

SYNOPSIS ^

  $ dzil stale --all | cpanm

DESCRIPTION ^

This is a command plugin for Dist::Zilla. It provides the stale command, which acts as [PromptIfStale] would during the build: compares the locally-installed version of a module(s) with the latest indexed version, and print all modules that are thus found to be stale. You could pipe that list to a CPAN client like cpanm to update all of the modules in one quick go.

When a [PromptIfStale] configuration is present in dist.ini, its configuration is honoured (unless --all is used); if there is no such configuration, behaviour is as for --all.

OPTIONS ^

--all

Checks all plugins and prerequisites (as well as any additional modules listed in a local [PromptIfStale] configuration, if there is one).

SUPPORT ^

Bugs may be submitted through the RT bug tracker (or bug-Dist-Zilla-Plugin-PromptIfStale@rt.cpan.org). I am also usually active on irc, as 'ether' at irc.perl.org.

SEE ALSO ^

AUTHOR ^

Karen Etheridge <ether@cpan.org>

COPYRIGHT AND LICENSE ^

This software is copyright (c) 2013 by Karen Etheridge.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

syntax highlighting: